# -*- coding: utf-8 -*-
"""
"""
from __future__ import division, print_function, unicode_literals


def fitter_order(fitter):
    return max(len(fitter.zeros), len(fitter.poles))


class FitAidFake(object):

    def __init__(self,):
        return

    def hint(self, *args, **kwargs):
        default = args[-1]
        return default

    def hint_arg(self, func_arg, *args, **kwargs):
        if func_arg is None:
            return self.hint(*args, **kwargs)
        else:
            return func_arg

    def log(self, *args, **kwargs):
        print(*args)


def ensure_aid(aid = None, **kwargs):
    if aid is None:
        return FitAidFake()
    return aid
