"""
"""
from __future__ import division, print_function, unicode_literals

from iirrational.v1 import (
    data2filter,
    FitAid,
    fit_rational_disc,
)

from iirrational.RDF import RationalDiscFilter
from iirrational.MRF_generate import MRF_generate
from iirrational.MRF import MultiReprFilter
from iirrational.testing import iirrational_data

#monkeypatch in the msurrogate annotations
FitAid._msurrogate_MT             = False
data2filter._msurrogate_MT        = True
fit_rational_disc._msurrogate_MT  = True
RationalDiscFilter._msurrogate_MT = True
MultiReprFilter._msurrogate_MT    = True

__all__ = [
    'data2filter',
    'fit_rational_disc',
    'RationalDiscFilter',
    'MRF_generate',
    'MultiReprFilter',
    'iirrational_data',
]
