# -*- coding: utf-8 -*-
"""
"""
from __future__ import division, print_function, unicode_literals

import numpy as np
import scipy
import scipy.linalg
import scipy.signal

import declarative
from declarative.bunch import DeepBunch
from declarative.bunch.hdf_deep_bunch import HDFDeepBunch

from ..plots import (
    plot_fit,
    plot_ZP,
    plot_fitter_flag,
    plot_fitter_flag_compare,
    plot_ZP_grab
)

from ..utilities.ipynb.displays import *
from ..utilities.np import logspaced

from .. import MRF_generate
from .. import MRF
from .. import RDF

from .. import v1

